function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Cisco ASR 5000 Series Network Address Translation Administration Guide","");
var B=A.fN("Cisco ASR 5000 Series Network Address Translation Administration Guide","0");
var C=B.fN("Copyright","0#999735");
A=P.fN("About This Guide","1");
B=A.fN("Conventions Used","1#61803");
B=A.fN("Contacting Starent Networks","1#130124");
C=B.fN("Contacting Starent Networks Customer Support","1#130129");
C=B.fN("Providing Documentation Feedback","1#130140");
A=P.fN("Network Address Translation Overview","2");
B=A.fN("Supported Platforms and Products","2#770304");
B=A.fN("Licenses","2#759204");
B=A.fN("Supported Standards","2#804001");
B=A.fN("NAT Feature Overview","2#804013");
C=B.fN("NAT Realms","2#785722");
C=B.fN("NAT IP Address Allocation and Deallocation","2#800390");
var D=C.fN("NAT IP Address Allocation","2#798599");
D=C.fN("NAT IP Address Deallocation","2#798786");
C=B.fN("NAT Port-chunk Allocation and Deallocation","2#791379");
D=C.fN("NAT Port-chunk Allocation","2#816028");
D=C.fN("NAT Port-chunk Deallocation","2#816123");
var E=D.fN("NAT Binding Timer","2#798462");
E=D.fN("Subscriber Session Disconnect","2#800373");
D=C.fN("NAT IP Allocation/Port Allocation Failure","2#816544");
D=C.fN("TCP 2MSL Timer","2#807423");
C=B.fN("NAT Binding Records","2#807765");
C=B.fN("NAT Binding Updates","2#814049");
C=B.fN("CoA NAT Query","2#815729");
C=B.fN("Firewall-and-NAT Policy","2#808130");
D=C.fN("Disabling NAT Policy","2#810640");
D=C.fN("Updating Firewall-and-NAT Policy in Mid-session","2#810647");
D=C.fN("Target-based NAT Configuration","2#785763");
C=B.fN("NAT Application Level Gateway","2#785770");
D=C.fN("Supported NAT ALGs","2#785776");
C=B.fN("EDRs and UDRs","2#785795");
D=C.fN("EDRs","2#814927");
D=C.fN("UDRs","2#814988");
C=B.fN("Bulk Statistics","2#815284");
C=B.fN("Alarms","2#808640");
C=B.fN("Session Recovery and ICSR","2#808594");
B=A.fN("How NAT Works","2#803996");
A=P.fN("NAT Configuration","3");
B=A.fN("Before You Begin","3#968187");
B=A.fN("Configuring the System","3#973780");
B=A.fN("Configuring NAT","3#973771");
C=B.fN("Enabling the ECS Subsystem and Creating the ECS Service","3#973170");
C=B.fN("Configuring Port Maps","3#973188");
C=B.fN("Configuring Host Pools","3#973202");
C=B.fN("Configuring IMSI Pools","3#973211");
C=B.fN("Configuring Access Ruledefs","3#973219");
C=B.fN("Configuring NAT Realms","3#973245");
D=C.fN("Configuring One-to-One NAT Realms","3#976979");
D=C.fN("Configuring Many-to-One NAT Realms","3#977000");
C=B.fN("Configuring Firewall-and-NAT Policies","3#975711");
C=B.fN("Configuring Action on NAT IP Address/Port Allocation Failure","3#978082");
C=B.fN("Configuring Action on Packets During NAT IP Allocation","3#978379");
C=B.fN("Configuring NAT TCP-2msl-timeout Setting","3#978510");
C=B.fN("Configuring Action on TCP Idle Timeout","3#978574");
C=B.fN("Configuring Private IP NPU Flow Timeout Setting","3#978670");
C=B.fN("Configuring Flow Recovery","3#978878");
C=B.fN("Enabling NAT for APN/Subscribers","3#979041");
D=C.fN("Enabling NAT for APN","3#983619");
D=C.fN("Enabling NAT for Subscribers","3#979057");
C=B.fN("Configuring the Default Firewall-and-NAT Policy","3#981728");
C=B.fN("Configuring NAT ALGs/Dynamic Pinholes","3#978257");
D=C.fN("Creating Routing Ruledefs","3#973278");
D=C.fN("Configuring Routing Ruledefs in Rulebase","3#973288");
D=C.fN("Enabling NAT ALG","3#973299");
C=B.fN("Configuring EDR Format","3#979593");
C=B.fN("Configuring UDR Format","3#979602");
C=B.fN("Configuring NAT Binding Record Format","3#975245");
C=B.fN("Configuring Bulkstats Collection","3#974541");
C=B.fN("Configuring NAT Thresholds","3#974560");
D=C.fN("Enabling Thresholds","3#974562");
D=C.fN("Configuring Threshold Poll Interval","3#974569");
D=C.fN("Configuring Thresholds Limits","3#974575");
D=C.fN("Enabling SNMP Notifications","3#974588");
C=B.fN("Backing Out of NAT","3#983018");
D=C.fN("Configuring NAT Backout for APN","3#983637");
D=C.fN("Configuring NAT Backout for Subscribers","3#983033");
C=B.fN("Changing Firewall-and-NAT Policy in Mid-session","3#976345");
B=A.fN("Verifying the Configuration","3#974595");
B=A.fN("Gathering NAT Statistics","3#975944");
B=A.fN("Saving the Configuration","3#974686");
A=P.fN("Verifying and Saving Your Configuration","4");
B=A.fN("Verifying the Configuration","4#186981");
C=B.fN("Feature Configuration","4#187203");
C=B.fN("Service Configuration","4#187931");
C=B.fN("Context Configuration","4#187910");
C=B.fN("System Configuration","4#187219");
C=B.fN("Finding Configuration Errors","4#187184");
B=A.fN("Saving the Configuration","4#186999");
C=B.fN("Saving the Configuration on ST-series Platforms","4#190901");
}
